﻿@model IEnumerable<DataAccess.Entities.Driver>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PersonalN)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Transport)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.FirstName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PersonalN)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Transport)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @*@Html.ActionLink("Delete", "Delete", new { id=item.Id })*@
            @Html.ActionLink("Delete", "Delete", new { id = item.Id },
                          new { onclick = "return confirm('გსურთ წაშალოთ კომპანია?');" })
        </td>
    </tr>
}

</table>
